function f = obj_sw(arg)

global A11 A21 A22 Etild SIGuu G D1 D2 P

G1 = zeros(2,4);

G1(1:2,1) = arg(1:2);
G1(1:2,2) = arg(3:4);
G1(1:2,3) = arg(5:6);
G1(1:2,4) = arg(7:8);

L = D1 + D2*G1;
M = D2*(G-G1);

Pnew = SIGuu;
Pold = zeros(size(Pnew));

itmax = 200;
it = 0;

while (norm(Pnew-Pold) > 0.000000001 && it <= itmax)
    it = it + 1;
    Pold = Pnew;
    Pnew = A11*(Pold - Pold*L'*(L*Pold*L')^(-1)*L*Pold)*A11' + SIGuu;
end

P = Pnew;

K = P*L'*(L*P*L')^(-1);

f = A22^(-1)*(-A21 + Etild*G*K*L*A11 + Etild*G1*(eye(4) - K*L)*A11) - G1;

end